Skip to main content
GET
/
generations
List generations
curl --request GET \
  --url https://api.platendoc.com/v1/generations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "gen_abc123",
      "workspaceId": "ws_xyz",
      "templateId": "tpl_abc",
      "templateName": "Invoice",
      "data": {
        "customerName": "Acme Corp"
      },
      "outputUrl": "https://cdn.platendoc.com/gen_abc123.pdf",
      "error": "<string>",
      "createdAt": "2026-05-07T10:00:00.000Z",
      "updatedAt": "2026-05-07T10:00:05.000Z"
    }
  ],
  "nextCursor": "gen_xyz"
}

Authorizations

Authorization
string
header
required

API key with pdc_live_ prefix. Pass as: Authorization: Bearer pdc_live_xxx

Query Parameters

cursor
string
limit
integer
default:20
Required range: 1 <= x <= 100
templateId
string
status
enum<string>
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED

Response

Paginated list of generations.

data
object[]
required
nextCursor
string | null
required
Example:

"gen_xyz"